Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453391 - SELinux policy prevents access from ntpd to /home/$username/.xsession-errors.
Summary: SELinux policy prevents access from ntpd to /home/$username/.xsession-errors.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 10:51 UTC by Volans
Modified: 2008-11-17 22:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-17 22:04:57 UTC


Attachments (Terms of Use)
The actual access denial report (deleted)
2008-06-30 10:51 UTC, Volans
no flags Details
SELinux message (deleted)
2008-07-16 23:21 UTC, Didier G
no flags Details

Description Volans 2008-06-30 10:51:55 UTC
Description of problem:

After setting the clock under System->Administration->Date and clock, the system
tries to set the clock using a given  NTP server. I get a SELinux denial warning.

Version-Release number of selected component (if applicable):

How reproducible:

Just open the System->Administration->Date and clock tool, click over the
Network Time Protocol Tab, and press OK, to close it. The system will try to
contact the server, and after it does that, I get that denial.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

SELInux Denial

Expected results:


Additional info:

Comment 1 Volans 2008-06-30 10:51:55 UTC
Created attachment 310572 [details]
The actual access denial report

Comment 2 Daniel Walsh 2008-07-02 18:29:45 UTC
You can allow this for now.

# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-3.3.1-75.fc9.noarch

Comment 3 Didier G 2008-07-16 23:21:10 UTC
Created attachment 312005 [details]
SELinux message

Comment 4 Didier G 2008-07-16 23:23:38 UTC
Same problem.

I installed selinux-policy-3.3.1-78.fc9 from testing and problem still exists

(see attachment https://bugzilla.redhat.com/attachment.cgi?id=312005 bellow).

Comment 5 Daniel Walsh 2008-07-17 12:58:12 UTC
Ok I will dontaudit the read in  selinux-policy-3.3.1-79.fc9

Comment 6 Daniel Walsh 2008-11-17 22:04:57 UTC
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.


Note You need to log in before you can comment on or make changes to this bug.